#!/usr/bin/env python
###############################################################################
#  Art.py -- generate object of art
###############################################################################

import Dice
import _Treasure

# The rules for this are very sketchy.
# I have borrowed from 1st Edition for some of this,
# to fill in the gaps.

_art_types_table = [
    (2, "Anklet"),
    (4, "Arm Band"),
    (3, "Belt"),
    (3, "Small Box"),
    (4, "Bracelet"),
    (3, "Brooch"),
    (2, "Buckle"),
    (4, "Chain"),
    (1, "Chalice"),
    (1, "Choker"),
    (3, "Clasp"),
    (2, "Coffer"),
    (1, "Collar"),
    (2, "Comb"),
    (1, "Coronet"),
    (1, "Crown"),
    (2, "Decanter"),
    (1, "Diadem"),
    (5, "Earring"),
    (2, "Fob"),
    (5, "Goblet"),
    (2, "Headband"),
    (3, "Idol"),
    (2, "Locket"),
    (3, "Medal"),
    (6, "Medallion"),
    (7, "Necklace"),
    (3, "Pendant"),
    (5, "Pin"),
    (1, "Orb"),
    (9, "Ring"),
    (1, "Sceptre"),
    (2, "Seal"),
    (3, "Statuette"),
    (1, "Tiara"),
    (1, "Bowl"),
    (1, "Candlestick"),
    (1, "Cane"),
    (1, "Decanter"),
    (1, "Hourglass"),
    (2, "Jack/Mug"),
    (1, "Jar"),
    (1, "Vase"),
    (1, "Mirror"),
    (1, "Knife"),
    (1, "Pitcher"),
    (1, "Pipe (Musical)"),
    (1, "Pipe (Smoking)"),
    (1, "Plate"),
    (1, "Platter"),
    (1, "Saucer"),
    (1, "Tray"),
]

_art_value_table = [
    (10, '10-100 gp',     1, 10, 0,   10),
    (15, '30-180 gp',     3,  6, 0,   10),
    (15, '100-600 gp',    1,  6, 0,  100),
    (10, '100-1000 gp',   1, 10, 0,  100),
    (10, '200-1200 gp',   2,  6, 0,  100),
    (10, '300-1800 gp',   3,  6, 0,  100),
    (10, '400-2400 gp',   4,  6, 0,  100),
    ( 5, '500-3000 gp',   5,  6, 0,  100),
    ( 5, '1000-4000 gp',  1,  4, 0, 1000),
    ( 5, '1000-6000 gp',  1,  6, 0, 1000),
    ( 4, '2000-8000 gp',  2,  4, 0, 1000),
    ( 1, '2000-12000 gp', 2,  6, 0, 1000),
]

class Art(_Treasure.Item):
    def __init__(self):
        _Treasure.Item.__init__(self)
        self.cat = "Art"
        self.fullcat = self.fullcat + "." + self.cat
        row = Dice.Roll(_art_types_table)
        self.name = row[1]
        row = Dice.Roll(_art_value_table)
        self.value = self.xp = \
            float(Dice.D(row[2], row[3], row[4])) * row[5]

if __name__ == '__main__':
    print Art()

# end of file.
